curl -X GET 'https://api.tolt.com/v1/promotion-codes' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/promotion-codes?expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"has_more": true,
"total_count": 45,
"data": [
{
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
]
}
{
"success": true,
"has_more": true,
"total_count": 45,
"data": [
{
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
]
}
Promotion Codes
List Promotion Codes
This endpoint lists all promotion codes.
GET
/
v1
/
promotion-codes
curl -X GET 'https://api.tolt.com/v1/promotion-codes' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/promotion-codes?expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"has_more": true,
"total_count": 45,
"data": [
{
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
]
}
{
"success": true,
"has_more": true,
"total_count": 45,
"data": [
{
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
]
}
Base URL https://api.tolt.com
Query Parameters
string
The program ID from where you want to list the partners.
string - optional
Only return promotion codes from this partner
string - optional
Search promotion codes by code value.
asc | desc - optional
The order of the promotion codes to return by created_at. Default is desc
array - optional
Specify which related objects to include in the response. Valid values are
‘partner’ and ‘program’. Use expand[]=partner or
expand[]=program to include the related objects.
string - optional
Only return promotion codes created after this date
string - optional
Only return promotion codes created before this date
string - optional
A limit on the number of promotion codes to return. Default is 10, max is 100
string - optional
A cursor for use in pagination. starting_after is an object ID that defines
your place in the list
string - optional
A cursor for use in pagination. ending_before is an object ID that defines
your place in the list
Response
boolean
Whether the request was successful
boolean
Whether there are more pages of results available
integer
Total number of promotion codes matching the query
array[Object]
Show properties
Show properties
string
Unique identifier for the promotion code
string
The promotion code value
string
The type of discount
number
The discount value
string
ID of the partner who owns the code
string
ISO 8601 timestamp of creation
string
ISO 8601 timestamp of last update
string
Program ID the promotion code belongs to
string
Organization ID
curl -X GET 'https://api.tolt.com/v1/promotion-codes' \
-H 'Authorization: Bearer <API_KEY>'
curl -X GET 'https://api.tolt.com/v1/promotion-codes?expand[]=partner&expand[]=program' \
-H 'Authorization: Bearer <API_KEY>'
{
"success": true,
"has_more": true,
"total_count": 45,
"data": [
{
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
}
]
}
{
"success": true,
"has_more": true,
"total_count": 45,
"data": [
{
"id": "prc_dK9bzRGn46BhVgNFHD6fDgXW",
"code": "SUMMER2024",
"type": "percentage",
"value": 20,
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-01-15T14:30:00.000Z",
"updated_at": "2025-01-15T14:30:00.000Z",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"partner": {
"id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"first_name": "Michael",
"last_name": "Scott",
"email": "michael.scott@dundermifflin.com",
"company_name": "Dunder Mifflin",
"status": "active",
"created_at": "2025-01-13T10:06:11.251Z"
},
"program": {
"id": "prg_YRsbPDAKhWfdqJbFACheh",
"status": "active",
"name": "Tolt's Partnership Program",
"product_name": "Tolt",
"subdomain": "affiliates",
"type": "public",
"currency_code": "USD",
"created_at": "2024-03-05T10:28:08.984+00:00"
}
}
]
}

